Skip to content

Transportial OTMS API (0.9.74)

Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.

Download OpenAPI description
Languages
Servers
Mock server
https://docs.transportial.com/_mock/apis
Test environment
https://test.api.otms.transportial.com/api
Production
https://api.otms.transportial.com/api

Calendar Events

Calendar occurrences for vehicles within a date range.

Operations

Tender

Tenders can be stacked and constrain different activities in their context

Operations

Widget

Widgets can be stacked and constrain different activities in their context

Operations

Vehicle

A Vehicle is a means to transport consignments from one location to potentially multiple other locations. There are various types of vehicles, each with their own unique properties like size, dimensions, fuel type and means of tranport (by air, on land, over sea).

Operations

Trip

A Trip is an aggregate entity that combines various entities to model visiting various locations, potentially doing one or multiple actions on each location, such as loading or unloading consignments. It is optionally coupled to a Vehicle that is/was driving this trip.

Operations

File

File management. Upload, retrieve and download files. Categorized by it's purpose.

Operations

CapacityContract

The CapacityContract is the entity to model a contract of a purchase of certain amount of scheduled capacity.

Operations

MessageTemplate

MessageTemplates can be stacked and constrain different activities in their context

Operations

Business

Business is a base entity that describes a companies information. Thiis entity is used for contracts, clients, invoices, quotes, etc. It can be any type of relation you do business with.

Operations

SAML

SAML Configuration for Single-SignOn(SSO) establishment between Service-Provider(SP) and Identity-Provider(IDP)

Operations

Route

A route models the path going from one location to at least one other location.

Operations

Chat

Sending messages to users grouped by rooms

Operations

TransportEquipment

TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.

Operations

Insights

All the insights you need can be gathered from these endpoints

Operations

User

Users related to the platform and all actions required

Operations

DocumentTemplate

Visual document template designer for creating CMR, invoices, quotes and custom documents

Operations

Message automation

MessageAutomations are communication automation connectors that can use events

Operations

Chauffeur

Chauffeurs are the people who are responsible for controlling a Vehicle. They have schedules, planning and legal responsibilities.

Operations

User roles

The permissions grouped by a "Role", that can be assigned to a user

Operations

StackMap

A stackMap models the snapshots of planned stacking across locations.

Operations

Quote

Quotes

Operations

ScheduleRoute

A scheduleRoute is a device that is able to measure a quantity in a certain unit, such as measuring the speed in km/h.

Operations

VehicleGroup

A VehicleGroup is a group of Vehicle's. Groups can be used to reference a list of vehicles without having to select each individual one.

Operations

LedgerEntry

LedgerEntry ...

Operations

Goods

Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.

Operations

Transaction

Transactions

Operations

Async

Generic asynchronous request results

Operations

Terminal

Terminal management for term&conditions in forwarded orders

Operations

Notification

Notification endpoint to notify people, groups or the entire user base of things they might want to know or need to know

Operations

Capacity

A capacity models the amount of cargo, a schedule can deliver.

Operations

Attribute

Object describing a geographic attribute. A attribute can either be a point or an area.

Operations

Sensor

A sensor is a device that is able to measure a quantity in a certain unit, such as measuring the speed in km/h.

Operations

Camera

A Camera.

Operations

Location

Object describing a geographic location. A location can either be a point or an area.

Operations

TransportOrder

The TransportOrder is the top-level entity to model a group of related consignments that might be transported separately, but need to be administered together.

Operations

Team

A Team is a group of Vehicle's. Groups can be used to reference a list of vehicles without having to select each individual one.

Operations

ToDo

A to-do represents a basic specific task within a lane of a board.

Operations

Constraint

Constraints can be stacked and constrain different activities in their context

Operations

General

General reference data sets like Languages, Currencies etc.

Operations

Pricing

A pricing models the path going from one location to at least one other location.

Operations

Invoice

Invoices

Operations

Integration

Update an existing integration test case.

Operations

Lane

A lane contains a location and status of a todo task.

Operations

Administration

Administrations can be stacked and constrain different activities in their context

Operations

Consignment

Consignments can be stacked and constrain different activities in their context

Operations

Get consignment

Request

Get a consignment on id

Security
bearer or apiKey or apiSecret
Path
idstringrequired
Headers
Authorizationstringrequired
curl -i -X GET \
  'https://docs.transportial.com/_mock/apis/consignment:extended/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
consignmentobject(ConsignmentModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "consignment": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "consignmentNr": "string", "description": "string", "status": "draft", "highValueGoods": true, "goods": [], "team": {}, "combined": true, "consignment": {}, "originalPhysicalSender": {}, "originalLegalSender": {}, "originalPhysicalAddressee": {}, "originalLegalAddressee": {}, "currentLocation": {}, "nextAction": {}, "lastAction": {}, "lastPlannedAction": {}, "isPlannedToLastLocation": true, "type": "string", "remark": "string", "documents": [], "actors": [], "actions": [], "constraints": [], "identifiers": [], "attributes": [], "externalAttributes": {}, "expectedRevenue": {}, "expectedCost": {}, "versionNumber": 0, "nextPlanFromAction": {} } }

Split consignments

Request

Previously combined order -> split into unique consignments

Security
bearer or apiKey or apiSecret
Headers
Authorizationstringrequired
Bodyapplication/jsonrequired
consignmentobject(Consignment)
relatedConsignmentsArray of objects(Consignment)
curl -i -X POST \
  https://docs.transportial.com/_mock/apis/consignments/split \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "consignment": {
      "nonce": "string",
      "versionNumber": 0,
      "hasAgreedToPrice": true,
      "orderType": "standard",
      "name": "string",
      "consignmentNr": "string",
      "description": "string",
      "status": "draft",
      "highValueGoods": true,
      "goods": [
        {
          "associationType": "inline"
        }
      ],
      "team": {
        "nonce": "string",
        "emailIntegration": {},
        "vehicleGroups": [
          {
            "nonce": "string",
            "name": "string",
            "vehicles": [
              {}
            ]
          }
        ],
        "fleets": [
          {
            "nonce": "string",
            "vehicles": [
              {
                "nonce": "string",
                "fleet": {},
                "order": 0,
                "vehicle": {}
              }
            ],
            "teams": [
              {}
            ],
            "businesses": [
              {}
            ],
            "name": "string",
            "number": "string"
          }
        ],
        "features": [
          {
            "name": "string",
            "accountTypes": [
              "default"
            ]
          }
        ],
        "managers": [
          {}
        ],
        "name": "string",
        "transportOrderPrefix": "string",
        "consignmentPrefix": "string",
        "users": [
          {}
        ]
      },
      "consignment": {},
      "currentLocation": {
        "administrativeReference": {
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string"
        },
        "lat": 0.1,
        "lon": 0.1,
        "speed": {
          "value": "string",
          "unit": "string"
        },
        "heading": {
          "value": "string",
          "unit": "string"
        },
        "bearing": {
          "value": "string",
          "unit": "string"
        },
        "bearingType": "absolute"
      },
      "nextAction": {},
      "lastAction": {},
      "lastPlannedAction": {},
      "isPlannedToLastLocation": true,
      "documents": [
        {
          "associationType": "inline"
        }
      ],
      "actors": [
        {
          "associationType": "inline"
        }
      ],
      "actions": [
        {
          "associationType": "inline"
        }
      ],
      "pricingElements": [
        {
          "nonce": "string",
          "sequenceNr": 0,
          "quantity": 0,
          "name": "string",
          "description": "string",
          "category": {
            "nonce": "string",
            "name": "string",
            "creditCode": "string",
            "debitCode": "string",
            "defaultValue": 0.1,
            "enabled": true,
            "tripRevenue": true,
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ]
          },
          "business": {},
          "amount": {
            "amount": 0.1,
            "currency": {
              "nonce": "string",
              "name": "string",
              "short": "string",
              "sign": "string",
              "decimalDelimiter": "string",
              "thousandDelimiter": "string",
              "enabled": true
            },
            "taxRate": {
              "nonce": "string",
              "creditCode": "string",
              "debitCode": "string",
              "identifiers": [
                {}
              ],
              "name": "string",
              "description": "string",
              "jurisdiction": "string",
              "percentage": 0.1,
              "inclusive": true,
              "active": true
            },
            "inclusiveOfTax": true
          },
          "subTotal": {
            "amount": 0.1,
            "currency": {
              "nonce": "string",
              "name": "string",
              "short": "string",
              "sign": "string",
              "decimalDelimiter": "string",
              "thousandDelimiter": "string",
              "enabled": true
            },
            "taxRate": {
              "nonce": "string",
              "creditCode": "string",
              "debitCode": "string",
              "identifiers": [
                {}
              ],
              "name": "string",
              "description": "string",
              "jurisdiction": "string",
              "percentage": 0.1,
              "inclusive": true,
              "active": true
            },
            "inclusiveOfTax": true
          },
          "tax": {
            "amount": 0.1,
            "currency": {
              "nonce": "string",
              "name": "string",
              "short": "string",
              "sign": "string",
              "decimalDelimiter": "string",
              "thousandDelimiter": "string",
              "enabled": true
            },
            "taxRate": {
              "nonce": "string",
              "creditCode": "string",
              "debitCode": "string",
              "identifiers": [
                {}
              ],
              "name": "string",
              "description": "string",
              "jurisdiction": "string",
              "percentage": 0.1,
              "inclusive": true,
              "active": true
            },
            "inclusiveOfTax": true
          },
          "total": {
            "amount": 0.1,
            "currency": {
              "nonce": "string",
              "name": "string",
              "short": "string",
              "sign": "string",
              "decimalDelimiter": "string",
              "thousandDelimiter": "string",
              "enabled": true
            },
            "taxRate": {
              "nonce": "string",
              "creditCode": "string",
              "debitCode": "string",
              "identifiers": [
                {}
              ],
              "name": "string",
              "description": "string",
              "jurisdiction": "string",
              "percentage": 0.1,
              "inclusive": true,
              "active": true
            },
            "inclusiveOfTax": true
          }
        }
      ],
      "externalAttributes": {
        "property1": {},
        "property2": {}
      },
      "expectedRevenue": {
        "amount": 0.1,
        "currency": {
          "nonce": "string",
          "name": "string",
          "short": "string",
          "sign": "string",
          "decimalDelimiter": "string",
          "thousandDelimiter": "string",
          "enabled": true
        },
        "taxRate": {
          "nonce": "string",
          "creditCode": "string",
          "debitCode": "string",
          "identifiers": [
            {
              "nonce": "string",
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "name": "string",
          "description": "string",
          "jurisdiction": "string",
          "percentage": 0.1,
          "inclusive": true,
          "active": true
        },
        "inclusiveOfTax": true,
        "moneyBuildBlocks": [
          {
            "amount": 0.1,
            "relationship": {
              "entityId": "string",
              "entityType": "action"
            }
          }
        ]
      },
      "expectedCost": {
        "amount": 0.1,
        "currency": {
          "nonce": "string",
          "name": "string",
          "short": "string",
          "sign": "string",
          "decimalDelimiter": "string",
          "thousandDelimiter": "string",
          "enabled": true
        },
        "taxRate": {
          "nonce": "string",
          "creditCode": "string",
          "debitCode": "string",
          "identifiers": [
            {
              "nonce": "string",
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "name": "string",
          "description": "string",
          "jurisdiction": "string",
          "percentage": 0.1,
          "inclusive": true,
          "active": true
        },
        "inclusiveOfTax": true,
        "moneyBuildBlocks": [
          {
            "amount": 0.1,
            "relationship": {
              "entityId": "string",
              "entityType": "action"
            }
          }
        ]
      },
      "combined": true,
      "type": "string",
      "remark": "string",
      "constraints": [
        {
          "nonce": "string",
          "name": "string",
          "enforceability": "enforced",
          "type": "accessConstraint",
          "description": "string"
        }
      ],
      "identifiers": [
        {
          "nonce": "string",
          "name": "string",
          "system": "string",
          "value": "string",
          "expiredAt": "2019-08-24T14:15:22Z"
        }
      ],
      "attributes": [
        {
          "nonce": "string",
          "name": "string",
          "color": "string"
        }
      ]
    },
    "relatedConsignments": [
      {
        "nonce": "string",
        "versionNumber": 0,
        "hasAgreedToPrice": true,
        "orderType": "standard",
        "name": "string",
        "consignmentNr": "string",
        "description": "string",
        "status": "draft",
        "highValueGoods": true,
        "goods": [
          {
            "associationType": "inline"
          }
        ],
        "team": {
          "nonce": "string",
          "emailIntegration": {},
          "vehicleGroups": [
            {
              "nonce": "string",
              "name": "string",
              "vehicles": [
                {}
              ]
            }
          ],
          "fleets": [
            {
              "nonce": "string",
              "vehicles": [
                {
                  "fleet": {},
                  "vehicle": {}
                }
              ],
              "teams": [
                {}
              ],
              "businesses": [
                {}
              ],
              "name": "string",
              "number": "string"
            }
          ],
          "features": [
            {
              "name": "string",
              "accountTypes": [
                "default"
              ]
            }
          ],
          "managers": [
            {}
          ],
          "name": "string",
          "transportOrderPrefix": "string",
          "consignmentPrefix": "string",
          "users": [
            {}
          ]
        },
        "consignment": {},
        "currentLocation": {
          "administrativeReference": {
            "name": "string",
            "street": "string",
            "houseNumber": "string",
            "houseNumberAddition": "string",
            "postalCode": "string",
            "city": "string",
            "country": "string"
          },
          "lat": 0.1,
          "lon": 0.1,
          "speed": {
            "value": "string",
            "unit": "string"
          },
          "heading": {
            "value": "string",
            "unit": "string"
          },
          "bearing": {
            "value": "string",
            "unit": "string"
          },
          "bearingType": "absolute"
        },
        "nextAction": {},
        "lastAction": {},
        "lastPlannedAction": {},
        "isPlannedToLastLocation": true,
        "documents": [
          {
            "associationType": "inline"
          }
        ],
        "actors": [
          {
            "associationType": "inline"
          }
        ],
        "actions": [
          {
            "associationType": "inline"
          }
        ],
        "pricingElements": [
          {
            "nonce": "string",
            "sequenceNr": 0,
            "quantity": 0,
            "name": "string",
            "description": "string",
            "category": {
              "nonce": "string",
              "name": "string",
              "creditCode": "string",
              "debitCode": "string",
              "defaultValue": 0.1,
              "enabled": true,
              "tripRevenue": true,
              "identifiers": [
                {}
              ]
            },
            "business": {},
            "amount": {
              "amount": 0.1,
              "currency": {
                "nonce": "string",
                "name": "string",
                "short": "string",
                "sign": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "enabled": true
              },
              "taxRate": {
                "nonce": "string",
                "creditCode": "string",
                "debitCode": "string",
                "identifiers": [
                  null
                ],
                "name": "string",
                "description": "string",
                "jurisdiction": "string",
                "percentage": 0.1,
                "inclusive": true,
                "active": true
              },
              "inclusiveOfTax": true
            },
            "subTotal": {
              "amount": 0.1,
              "currency": {
                "nonce": "string",
                "name": "string",
                "short": "string",
                "sign": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "enabled": true
              },
              "taxRate": {
                "nonce": "string",
                "creditCode": "string",
                "debitCode": "string",
                "identifiers": [
                  null
                ],
                "name": "string",
                "description": "string",
                "jurisdiction": "string",
                "percentage": 0.1,
                "inclusive": true,
                "active": true
              },
              "inclusiveOfTax": true
            },
            "tax": {
              "amount": 0.1,
              "currency": {
                "nonce": "string",
                "name": "string",
                "short": "string",
                "sign": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "enabled": true
              },
              "taxRate": {
                "nonce": "string",
                "creditCode": "string",
                "debitCode": "string",
                "identifiers": [
                  null
                ],
                "name": "string",
                "description": "string",
                "jurisdiction": "string",
                "percentage": 0.1,
                "inclusive": true,
                "active": true
              },
              "inclusiveOfTax": true
            },
            "total": {
              "amount": 0.1,
              "currency": {
                "nonce": "string",
                "name": "string",
                "short": "string",
                "sign": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "enabled": true
              },
              "taxRate": {
                "nonce": "string",
                "creditCode": "string",
                "debitCode": "string",
                "identifiers": [
                  null
                ],
                "name": "string",
                "description": "string",
                "jurisdiction": "string",
                "percentage": 0.1,
                "inclusive": true,
                "active": true
              },
              "inclusiveOfTax": true
            }
          }
        ],
        "externalAttributes": {
          "property1": {},
          "property2": {}
        },
        "expectedRevenue": {
          "amount": 0.1,
          "currency": {
            "nonce": "string",
            "name": "string",
            "short": "string",
            "sign": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "enabled": true
          },
          "taxRate": {
            "nonce": "string",
            "creditCode": "string",
            "debitCode": "string",
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "name": "string",
            "description": "string",
            "jurisdiction": "string",
            "percentage": 0.1,
            "inclusive": true,
            "active": true
          },
          "inclusiveOfTax": true,
          "moneyBuildBlocks": [
            {
              "amount": 0.1,
              "relationship": {
                "entityId": "string",
                "entityType": "action"
              }
            }
          ]
        },
        "expectedCost": {
          "amount": 0.1,
          "currency": {
            "nonce": "string",
            "name": "string",
            "short": "string",
            "sign": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "enabled": true
          },
          "taxRate": {
            "nonce": "string",
            "creditCode": "string",
            "debitCode": "string",
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "name": "string",
            "description": "string",
            "jurisdiction": "string",
            "percentage": 0.1,
            "inclusive": true,
            "active": true
          },
          "inclusiveOfTax": true,
          "moneyBuildBlocks": [
            {
              "amount": 0.1,
              "relationship": {
                "entityId": "string",
                "entityType": "action"
              }
            }
          ]
        },
        "combined": true,
        "type": "string",
        "remark": "string",
        "constraints": [
          {
            "nonce": "string",
            "name": "string",
            "enforceability": "enforced",
            "type": "accessConstraint",
            "description": "string"
          }
        ],
        "identifiers": [
          {
            "nonce": "string",
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "attributes": [
          {
            "nonce": "string",
            "name": "string",
            "color": "string"
          }
        ]
      }
    ]
  }'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
totalResultsinteger(int32)
consignmentsArray of objects(ConsignmentModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "totalResults": 0, "consignments": [ {} ] }

Add documents

Request

Add documents to tripp

Security
bearer or apiKey or apiSecret
Path
idstringrequired
Headers
Authorizationstringrequired
Bodyapplication/jsonrequired
documentsArray of objects(DocumentAssociation)
curl -i -X PUT \
  'https://docs.transportial.com/_mock/apis/consignment/{id}/documents' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "documents": [
      {
        "associationType": "inline",
        "entity": {
          "nonce": "string",
          "description": "string",
          "expiresAt": "2019-08-24T14:15:22Z",
          "fileName": "string",
          "mimeType": "string",
          "encoding": "string",
          "verified": true,
          "isPublic": true,
          "owner": {
            "associationType": "inline"
          },
          "content": {
            "contentType": "data",
            "data": "string"
          },
          "file": {
            "nonce": "string",
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string"
          },
          "identifiers": [
            {
              "nonce": "string",
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "externalAttributes": {
            "property1": {},
            "property2": {}
          },
          "name": "string"
        }
      }
    ]
  }'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
tripobject(TripModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "trip": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "type": "internal", "tripNr": "string", "remark": "string", "route": {}, "stackMap": {}, "status": "draft", "planStatus": "ok", "routeStatus": "on_route", "currentAction": {}, "transportMode": "maritime", "capacityContract": {}, "vehicle": {}, "linkedTrip": true, "chauffeurs": [], "transportEquipments": [], "consignments": [], "contextEvents": [], "documents": [], "actors": [], "actions": [], "constraints": [], "identifiers": [], "businesses": [], "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z", "kmStart": 0, "kmEnd": 0, "booking": {}, "shareSettings": {}, "externalAttributes": {}, "expectedCost": {}, "expectedRevenue": {}, "actualCost": {}, "quote": {}, "CO2eWTW": 0.1, "CO2eTTW": 0.1, "nextAction": {}, "lastAction": {}, "estimatedDuration": 0, "versionNumber": 0 } }

Update consignment

Request

Update a consignment

Security
bearer or apiKey or apiSecret
Headers
Authorizationstringrequired
Bodyapplication/jsonrequired
noncestring

Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

uuidstringrequired
primaryPlatformIdstringrequired
languageobject

circular reference

namestringrequired

Name of the Consignment. For display purposes and search only.

consignmentNrstring
descriptionstring

General description of consignment in Free text. e.g 20 europallets fruit. Meant for human inspection, not for automating processes.

statusstring
Enum"draft""requested""confirmed""in_transit""completed""cancelled""partially_planned""planned""partially_completed""partially_in_transit"
highValueGoodsboolean
goodsArray of objects(Association)
teamobject

circular reference

combinedboolean
consignmentobject

circular reference

originalPhysicalSenderobject

circular reference

originalLegalSenderobject

circular reference

originalPhysicalAddresseeobject

circular reference

originalLegalAddresseeobject

circular reference

currentLocationobject(LatLonPointGeoReferenceModel)

circular reference

nextActionobject

circular reference

lastActionobject

circular reference

lastPlannedActionobject

circular reference

isPlannedToLastLocationboolean
typestring

This field can be used to categorize and/or group shipments by type, depending on the needs of a specific logistic process.

remarkstring

Remark concerning the complete consignment, to be printed on the transport document.

documentsArray of objects(Association)
actorsArray of objects(Association)
actionsArray of objects(Association)
constraintsArray of objects

In the context of a Consignment, constraints can be used to e.g. define minimum or maximum temperatures for consignments, or date time constraints for delivery.

identifiersArray of objects(IdentifierModel)
attributesArray of objects(AttributeModel)
externalAttributesobject
expectedRevenueobject(CumulativeMoneyModel)
hasAgreedToPricebooleanwrite-only

Set this value to 'true' if the user has agreed to the pricing of this element. Only needed once the NeedsBillingApproval Exception is thrown

versionNumberinteger(int32)
nextPlanFromActionobject

circular reference

curl -i -X PUT \
  https://docs.transportial.com/_mock/apis/consignment \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "nonce": "string",
    "uuid": "string",
    "primaryPlatformId": "string",
    "language": {},
    "name": "string",
    "consignmentNr": "string",
    "description": "string",
    "status": "draft",
    "highValueGoods": true,
    "goods": [
      {
        "associationType": "inline"
      }
    ],
    "team": {},
    "combined": true,
    "consignment": {},
    "originalPhysicalSender": {},
    "originalLegalSender": {},
    "originalPhysicalAddressee": {},
    "originalLegalAddressee": {},
    "currentLocation": {
      "administrativeReference": {
        "name": "string",
        "street": "string",
        "houseNumber": "string",
        "houseNumberAddition": "string",
        "postalCode": "string",
        "city": "string",
        "country": "string"
      },
      "lat": 0.1,
      "lon": 0.1,
      "speed": {
        "value": "string",
        "unit": "string"
      },
      "heading": {
        "value": "string",
        "unit": "string"
      },
      "bearing": {
        "value": "string",
        "unit": "string"
      },
      "bearingType": "absolute"
    },
    "nextAction": {},
    "lastAction": {},
    "lastPlannedAction": {},
    "isPlannedToLastLocation": true,
    "type": "string",
    "remark": "string",
    "documents": [
      {
        "associationType": "inline"
      }
    ],
    "actors": [
      {
        "associationType": "inline"
      }
    ],
    "actions": [
      {
        "associationType": "inline"
      }
    ],
    "constraints": [
      {}
    ],
    "identifiers": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "system": "string",
        "value": "string",
        "expiredAt": "2019-08-24T14:15:22Z"
      }
    ],
    "attributes": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "color": "string"
      }
    ],
    "externalAttributes": {
      "property1": {},
      "property2": {}
    },
    "expectedRevenue": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "amount": 0.1,
      "currency": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "short": "string",
        "sign": "string",
        "decimalDelimiter": "string",
        "thousandDelimiter": "string",
        "enabled": true
      },
      "taxRate": {
        "nonce": "string",
        "creditCode": "string",
        "debitCode": "string",
        "identifiers": [
          {
            "nonce": "string",
            "name": "string",
            "system": "string",
            "value": "string",
            "expiredAt": "2019-08-24T14:15:22Z"
          }
        ],
        "name": "string",
        "description": "string",
        "jurisdiction": "string",
        "percentage": 0.1,
        "inclusive": true,
        "active": true
      },
      "inclusiveOfTax": true,
      "moneyBuildBlocks": [
        {
          "amount": 0.1,
          "relationship": {
            "entityId": "string",
            "entityType": "action"
          }
        }
      ]
    },
    "hasAgreedToPrice": true,
    "versionNumber": 0,
    "nextPlanFromAction": {}
  }'

Responses

Success

Bodyapplication/json
successboolean
messagestring
codeinteger(int32)
consignmentobject(ConsignmentModel)
Response
application/json
{ "success": true, "message": "string", "code": 0, "consignment": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "consignmentNr": "string", "description": "string", "status": "draft", "highValueGoods": true, "goods": [], "team": {}, "combined": true, "consignment": {}, "originalPhysicalSender": {}, "originalLegalSender": {}, "originalPhysicalAddressee": {}, "originalLegalAddressee": {}, "currentLocation": {}, "nextAction": {}, "lastAction": {}, "lastPlannedAction": {}, "isPlannedToLastLocation": true, "type": "string", "remark": "string", "documents": [], "actors": [], "actions": [], "constraints": [], "identifiers": [], "attributes": [], "externalAttributes": {}, "expectedRevenue": {}, "expectedCost": {}, "versionNumber": 0, "nextPlanFromAction": {} } }

Create consignment

Request

Create a new consignment

Security
bearer or apiKey or apiSecret
Headers
Authorizationstringrequired
Bodyapplication/jsonrequired
noncestring
namestringrequired

Name of the Consignment. For display purposes and search only.

consignmentNrstring
descriptionstring
statusstring
Enum"draft""requested""confirmed""in_transit""completed""cancelled""partially_planned""planned""partially_completed""partially_in_transit"
goodsArray of objects(Association)
combinedboolean
consignmentobject(ConsignmentModel)
originalPhysicalSenderobject(LocationModel)
originalLegalSenderobject(LocationModel)
originalPhysicalAddresseeobject(LocationModel)
originalLegalAddresseeobject(LocationModel)
currentLocationobject(LatLonPointGeoReferenceModel)

circular reference

nextActionobject(ActionModel)
lastActionobject(ActionModel)
lastPlannedActionobject(ActionModel)
isPlannedToLastLocationboolean
typestring

This field can be used to categorize and/or group shipments by type, depending on the needs of a specific logistic process.

remarkstring
documentsArray of objects(Association)
actorsArray of objects(Association)
actionsArray of objects(Association)
constraintsArray of objects(ConstraintModel)

In the context of a Consignment, constraints can be used to e.g. define minimum or maximum temperatures for consignments, or date time constraints for delivery.

chatobject(ChatModel)
pricingElementsArray of objects(PricingElementModel)
identifiersArray of objects(IdentifierModel)
attributesArray of objects(AttributeModel)
externalAttributesobject
expectedRevenueobject(CumulativeMoneyModel)
hasAgreedToPricebooleanwrite-only

Set this value to 'true' if the user has agreed to the pricing of this element. Only needed once the NeedsBillingApproval Exception is thrown

versionNumberinteger(int32)
curl -i -X POST \
  https://docs.transportial.com/_mock/apis/consignment \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "nonce": "string",
    "name": "string",
    "consignmentNr": "string",
    "description": "string",
    "status": "draft",
    "goods": [
      {
        "associationType": "inline"
      }
    ],
    "combined": true,
    "consignment": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "name": "string",
      "consignmentNr": "string",
      "description": "string",
      "status": "draft",
      "highValueGoods": true,
      "goods": [
        {
          "associationType": "inline"
        }
      ],
      "team": {},
      "combined": true,
      "consignment": {},
      "originalPhysicalSender": {},
      "originalLegalSender": {},
      "originalPhysicalAddressee": {},
      "originalLegalAddressee": {},
      "currentLocation": {
        "administrativeReference": {
          "name": "string",
          "street": "string",
          "houseNumber": "string",
          "houseNumberAddition": "string",
          "postalCode": "string",
          "city": "string",
          "country": "string"
        },
        "lat": 0.1,
        "lon": 0.1,
        "speed": {
          "value": "string",
          "unit": "string"
        },
        "heading": {
          "value": "string",
          "unit": "string"
        },
        "bearing": {
          "value": "string",
          "unit": "string"
        },
        "bearingType": "absolute"
      },
      "nextAction": {},
      "lastAction": {},
      "lastPlannedAction": {},
      "isPlannedToLastLocation": true,
      "type": "string",
      "remark": "string",
      "documents": [
        {
          "associationType": "inline"
        }
      ],
      "actors": [
        {
          "associationType": "inline"
        }
      ],
      "actions": [
        {
          "associationType": "inline"
        }
      ],
      "constraints": [
        {}
      ],
      "identifiers": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "system": "string",
          "value": "string",
          "expiredAt": "2019-08-24T14:15:22Z"
        }
      ],
      "attributes": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "color": "string"
        }
      ],
      "externalAttributes": {
        "property1": {},
        "property2": {}
      },
      "expectedRevenue": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "amount": 0.1,
        "currency": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "short": "string",
          "sign": "string",
          "decimalDelimiter": "string",
          "thousandDelimiter": "string",
          "enabled": true
        },
        "taxRate": {
          "nonce": "string",
          "creditCode": "string",
          "debitCode": "string",
          "identifiers": [
            {
              "nonce": "string",
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "name": "string",
          "description": "string",
          "jurisdiction": "string",
          "percentage": 0.1,
          "inclusive": true,
          "active": true
        },
        "inclusiveOfTax": true,
        "moneyBuildBlocks": [
          {
            "amount": 0.1,
            "relationship": {
              "entityId": "string",
              "entityType": "action"
            }
          }
        ]
      },
      "hasAgreedToPrice": true,
      "versionNumber": 0,
      "nextPlanFromAction": {}
    },
    "originalPhysicalSender": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "type": "warehouse",
      "name": "string",
      "unCode": "string",
      "geoReference": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "addressGeoReference",
        "name": "string",
        "street": "string",
        "houseNumber": "string",
        "houseNumberAddition": "string",
        "postalCode": "string",
        "city": "string",
        "country": "string",
        "hash": "string"
      },
      "administrativeReference": {
        "name": "string",
        "street": "string",
        "houseNumber": "string",
        "houseNumberAddition": "string",
        "postalCode": "string",
        "city": "string",
        "country": "string"
      },
      "contactDetails": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "iban",
          "value": "string",
          "remarks": "string"
        }
      ],
      "openingTimes": {
        "monday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "tuesday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "wednesday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "thursday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "friday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "saturday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "sunday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        }
      },
      "terminal": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "integrationType": "portbase",
        "ean": "string",
        "bicsCode": "string",
        "quayName": "string",
        "smdgCode": "string",
        "locations": [
          {}
        ],
        "allowedModalities": [
          "string"
        ],
        "terminalSettings": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "loading": true,
            "full": true,
            "modality": "string",
            "sealNumberAllowed": true,
            "reeferAllowed": true,
            "grossWeightAllowed": true,
            "outOfGaugeAllowed": true,
            "dangerousGoodsAllowed": true,
            "cargoCutOffInMinutes": 0
          }
        ],
        "tarRequired": true,
        "roadLicenseIdRequired": true
      },
      "actions": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "load",
          "groupId": "string",
          "name": "string",
          "externalAttributes": {
            "property1": {},
            "property2": {}
          },
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "lifeCycle": "requested",
          "result": {
            "status": "succeeded",
            "remark": "string",
            "reason": "string",
            "results": [
              {
                "property1": {},
                "property2": {}
              }
            ],
            "answers": {
              "property1": {},
              "property2": {}
            },
            "attachments": [
              {
                "questionId": "string",
                "type": "photo",
                "documentId": "string",
                "dataUrl": "string"
              }
            ]
          },
          "remark": "string",
          "sequenceNr": 0,
          "tripSequenceNr": 0,
          "location": {
            "associationType": "inline",
            "entity": {},
            "description": "string"
          },
          "startTime": "2019-08-24T14:15:22Z",
          "endTime": "2019-08-24T14:15:22Z",
          "eta": "2019-08-24T14:15:22Z",
          "etd": "2019-08-24T14:15:22Z",
          "timeFormat": "string",
          "recurrence": "string",
          "duration": 0,
          "estimatedDuration": 0,
          "inTripOnly": true,
          "actions": [
            {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "type": "load",
                "name": "string",
                "groupId": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "lifeCycle": "requested",
                "result": {
                  "results": [],
                  "answers": {},
                  "attachments": []
                },
                "remark": "string",
                "sequenceNr": 0,
                "tripSequenceNr": 0,
                "location": {
                  "entity": {}
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "eta": "2019-08-24T14:15:22Z",
                "etd": "2019-08-24T14:15:22Z",
                "timeFormat": "string",
                "recurrence": "string",
                "duration": 0,
                "estimatedDuration": 0,
                "inTripOnly": true,
                "actions": [
                  {}
                ],
                "documents": [
                  null
                ],
                "contextEvents": [
                  null
                ],
                "attributes": [
                  null
                ],
                "timeslotBookings": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "constraints": [
                  null
                ],
                "communicationRequests": [
                  null
                ],
                "consignment": {},
                "isContainmentAction": true,
                "vehicle": {},
                "transportEquipment": {},
                "stop": {},
                "pin": "string",
                "tar": "string",
                "shipmentLine": {},
                "containmentUUID": "string"
              },
              "description": "string"
            }
          ],
          "communicationRequests": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "description": "string",
              "status": "pending",
              "responseMessage": "string",
              "responseValue": "string"
            }
          ],
          "documents": [
            {
              "associationType": "inline"
            }
          ],
          "contextEvents": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "generalEvent",
              "lifeCycle": "requested",
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "identifiers": [
                {
                  "language": {}
                }
              ],
              "dateTime": "2019-08-24T14:15:22Z",
              "vehicle": {},
              "transportEquipment": {},
              "stopAction": {
                "trip": {
                  "entity": {}
                }
              },
              "geoReference": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "addressGeoReference",
                "name": "string",
                "street": "string",
                "houseNumber": "string",
                "houseNumberAddition": "string",
                "postalCode": "string",
                "city": "string",
                "country": "string",
                "hash": "string"
              }
            }
          ],
          "attributes": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "color": "string"
            }
          ],
          "versionNumber": 0,
          "constraints": [
            {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "name": "string",
                "enforceability": "enforced",
                "type": "accessConstraint",
                "description": "string"
              },
              "description": "string"
            }
          ],
          "consignment": {
            "associationType": "inline",
            "entity": {
              "nonce": "string",
              "versionNumber": 0,
              "hasAgreedToPrice": true,
              "orderType": "standard",
              "name": "string",
              "consignmentNr": "string",
              "description": "string",
              "status": "draft",
              "highValueGoods": true,
              "goods": [
                {}
              ],
              "team": {
                "nonce": "string",
                "emailIntegration": {},
                "vehicleGroups": [
                  null
                ],
                "fleets": [
                  null
                ],
                "features": [
                  null
                ],
                "managers": [
                  {}
                ],
                "name": "string",
                "transportOrderPrefix": "string",
                "consignmentPrefix": "string",
                "users": [
                  {}
                ]
              },
              "consignment": {},
              "currentLocation": {
                "administrativeReference": {},
                "lat": 0.1,
                "lon": 0.1,
                "speed": {},
                "heading": {},
                "bearing": {},
                "bearingType": "absolute"
              },
              "nextAction": {},
              "lastAction": {},
              "lastPlannedAction": {},
              "isPlannedToLastLocation": true,
              "documents": [
                {}
              ],
              "actors": [
                {}
              ],
              "actions": [
                {}
              ],
              "pricingElements": [
                {
                  "business": {}
                }
              ],
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "expectedRevenue": {
                "amount": 0.1,
                "currency": {},
                "taxRate": {
                  "identifiers": []
                },
                "inclusiveOfTax": true,
                "moneyBuildBlocks": [
                  null
                ]
              },
              "expectedCost": {
                "amount": 0.1,
                "currency": {},
                "taxRate": {
                  "identifiers": []
                },
                "inclusiveOfTax": true,
                "moneyBuildBlocks": [
                  null
                ]
              },
              "combined": true,
              "type": "string",
              "remark": "string",
              "constraints": [
                {}
              ],
              "identifiers": [
                {}
              ],
              "attributes": [
                {}
              ]
            }
          },
          "isContainmentAction": true,
          "vehicle": {
            "associationType": "inline"
          },
          "transportEquipment": {
            "associationType": "inline"
          },
          "stop": {
            "associationType": "inline",
            "entity": {
              "nonce": "string",
              "versionNumber": 0,
              "type": "load",
              "name": "string",
              "groupId": "string",
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "lifeCycle": "requested",
              "result": {
                "status": "succeeded",
                "remark": "string",
                "reason": "string",
                "results": [
                  {}
                ],
                "answers": {
                  "property1": {},
                  "property2": {}
                },
                "attachments": [
                  null
                ]
              },
              "remark": "string",
              "sequenceNr": 0,
              "tripSequenceNr": 0,
              "location": {
                "associationType": "inline",
                "entity": {},
                "description": "string"
              },
              "startTime": "2019-08-24T14:15:22Z",
              "endTime": "2019-08-24T14:15:22Z",
              "eta": "2019-08-24T14:15:22Z",
              "etd": "2019-08-24T14:15:22Z",
              "timeFormat": "string",
              "recurrence": "string",
              "duration": 0,
              "estimatedDuration": 0,
              "inTripOnly": true,
              "actions": [
                {}
              ],
              "documents": [
                {}
              ],
              "contextEvents": [
                {
                  "externalAttributes": {},
                  "identifiers": []
                }
              ],
              "attributes": [
                {}
              ],
              "timeslotBookings": [
                {
                  "action": {},
                  "bookedBy": {}
                }
              ],
              "identifiers": [
                {}
              ],
              "constraints": [
                {}
              ],
              "communicationRequests": [
                {
                  "communicationRequests": []
                }
              ],
              "consignment": {
                "associationType": "inline",
                "entity": {
                  "goods": [],
                  "consignment": {},
                  "nextAction": {},
                  "lastAction": {},
                  "lastPlannedAction": {},
                  "documents": [],
                  "actors": [],
                  "actions": [],
                  "pricingElements": [],
                  "externalAttributes": {},
                  "constraints": [],
                  "identifiers": [],
                  "attributes": []
                }
              },
              "isContainmentAction": true,
              "vehicle": {
                "associationType": "inline"
              },
              "transportEquipment": {
                "associationType": "inline"
              },
              "stop": {},
              "pin": "string",
              "tar": "string",
              "shipmentLine": {
                "scacCode": "string",
                "smdgCode": "string"
              },
              "containmentUUID": "string"
            },
            "description": "string"
          },
          "pin": "string",
          "tar": "string",
          "shipmentLine": {
            "scacCode": "string",
            "smdgCode": "string"
          },
          "containmentUUID": "string"
        }
      ],
      "constraints": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "accessConstraint",
          "name": "string",
          "enforceability": "enforced",
          "description": "string"
        }
      ],
      "pricingElements": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "sequenceNr": 0,
          "quantity": 0,
          "name": "string",
          "description": "string",
          "category": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "creditCode": "string",
            "debitCode": "string",
            "defaultValue": 0.1,
            "enabled": true,
            "tripRevenue": true
          },
          "business": {}
        }
      ],
      "remark": "string",
      "hash": "string",
      "identifiers": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "system": "string",
          "value": "string",
          "expiredAt": "2019-08-24T14:15:22Z"
        }
      ],
      "externalAttributes": {
        "property1": {},
        "property2": {}
      },
      "dataIsComplete": true
    },
    "originalLegalSender": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "type": "warehouse",
      "name": "string",
      "unCode": "string",
      "geoReference": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "addressGeoReference",
        "name": "string",
        "street": "string",
        "houseNumber": "string",
        "houseNumberAddition": "string",
        "postalCode": "string",
        "city": "string",
        "country": "string",
        "hash": "string"
      },
      "administrativeReference": {
        "name": "string",
        "street": "string",
        "houseNumber": "string",
        "houseNumberAddition": "string",
        "postalCode": "string",
        "city": "string",
        "country": "string"
      },
      "contactDetails": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "iban",
          "value": "string",
          "remarks": "string"
        }
      ],
      "openingTimes": {
        "monday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "tuesday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "wednesday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "thursday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "friday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "saturday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "sunday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        }
      },
      "terminal": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "integrationType": "portbase",
        "ean": "string",
        "bicsCode": "string",
        "quayName": "string",
        "smdgCode": "string",
        "locations": [
          {}
        ],
        "allowedModalities": [
          "string"
        ],
        "terminalSettings": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "loading": true,
            "full": true,
            "modality": "string",
            "sealNumberAllowed": true,
            "reeferAllowed": true,
            "grossWeightAllowed": true,
            "outOfGaugeAllowed": true,
            "dangerousGoodsAllowed": true,
            "cargoCutOffInMinutes": 0
          }
        ],
        "tarRequired": true,
        "roadLicenseIdRequired": true
      },
      "actions": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "load",
          "groupId": "string",
          "name": "string",
          "externalAttributes": {
            "property1": {},
            "property2": {}
          },
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "lifeCycle": "requested",
          "result": {
            "status": "succeeded",
            "remark": "string",
            "reason": "string",
            "results": [
              {
                "property1": {},
                "property2": {}
              }
            ],
            "answers": {
              "property1": {},
              "property2": {}
            },
            "attachments": [
              {
                "questionId": "string",
                "type": "photo",
                "documentId": "string",
                "dataUrl": "string"
              }
            ]
          },
          "remark": "string",
          "sequenceNr": 0,
          "tripSequenceNr": 0,
          "location": {
            "associationType": "inline",
            "entity": {},
            "description": "string"
          },
          "startTime": "2019-08-24T14:15:22Z",
          "endTime": "2019-08-24T14:15:22Z",
          "eta": "2019-08-24T14:15:22Z",
          "etd": "2019-08-24T14:15:22Z",
          "timeFormat": "string",
          "recurrence": "string",
          "duration": 0,
          "estimatedDuration": 0,
          "inTripOnly": true,
          "actions": [
            {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "type": "load",
                "name": "string",
                "groupId": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "lifeCycle": "requested",
                "result": {
                  "results": [],
                  "answers": {},
                  "attachments": []
                },
                "remark": "string",
                "sequenceNr": 0,
                "tripSequenceNr": 0,
                "location": {
                  "entity": {}
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "eta": "2019-08-24T14:15:22Z",
                "etd": "2019-08-24T14:15:22Z",
                "timeFormat": "string",
                "recurrence": "string",
                "duration": 0,
                "estimatedDuration": 0,
                "inTripOnly": true,
                "actions": [
                  {}
                ],
                "documents": [
                  null
                ],
                "contextEvents": [
                  null
                ],
                "attributes": [
                  null
                ],
                "timeslotBookings": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "constraints": [
                  null
                ],
                "communicationRequests": [
                  null
                ],
                "consignment": {},
                "isContainmentAction": true,
                "vehicle": {},
                "transportEquipment": {},
                "stop": {},
                "pin": "string",
                "tar": "string",
                "shipmentLine": {},
                "containmentUUID": "string"
              },
              "description": "string"
            }
          ],
          "communicationRequests": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "description": "string",
              "status": "pending",
              "responseMessage": "string",
              "responseValue": "string"
            }
          ],
          "documents": [
            {
              "associationType": "inline"
            }
          ],
          "contextEvents": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "generalEvent",
              "lifeCycle": "requested",
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "identifiers": [
                {
                  "language": {}
                }
              ],
              "dateTime": "2019-08-24T14:15:22Z",
              "vehicle": {},
              "transportEquipment": {},
              "stopAction": {
                "trip": {
                  "entity": {}
                }
              },
              "geoReference": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "addressGeoReference",
                "name": "string",
                "street": "string",
                "houseNumber": "string",
                "houseNumberAddition": "string",
                "postalCode": "string",
                "city": "string",
                "country": "string",
                "hash": "string"
              }
            }
          ],
          "attributes": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "color": "string"
            }
          ],
          "versionNumber": 0,
          "constraints": [
            {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "name": "string",
                "enforceability": "enforced",
                "type": "accessConstraint",
                "description": "string"
              },
              "description": "string"
            }
          ],
          "consignment": {
            "associationType": "inline",
            "entity": {
              "nonce": "string",
              "versionNumber": 0,
              "hasAgreedToPrice": true,
              "orderType": "standard",
              "name": "string",
              "consignmentNr": "string",
              "description": "string",
              "status": "draft",
              "highValueGoods": true,
              "goods": [
                {}
              ],
              "team": {
                "nonce": "string",
                "emailIntegration": {},
                "vehicleGroups": [
                  null
                ],
                "fleets": [
                  null
                ],
                "features": [
                  null
                ],
                "managers": [
                  {}
                ],
                "name": "string",
                "transportOrderPrefix": "string",
                "consignmentPrefix": "string",
                "users": [
                  {}
                ]
              },
              "consignment": {},
              "currentLocation": {
                "administrativeReference": {},
                "lat": 0.1,
                "lon": 0.1,
                "speed": {},
                "heading": {},
                "bearing": {},
                "bearingType": "absolute"
              },
              "nextAction": {},
              "lastAction": {},
              "lastPlannedAction": {},
              "isPlannedToLastLocation": true,
              "documents": [
                {}
              ],
              "actors": [
                {}
              ],
              "actions": [
                {}
              ],
              "pricingElements": [
                {
                  "business": {}
                }
              ],
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "expectedRevenue": {
                "amount": 0.1,
                "currency": {},
                "taxRate": {
                  "identifiers": []
                },
                "inclusiveOfTax": true,
                "moneyBuildBlocks": [
                  null
                ]
              },
              "expectedCost": {
                "amount": 0.1,
                "currency": {},
                "taxRate": {
                  "identifiers": []
                },
                "inclusiveOfTax": true,
                "moneyBuildBlocks": [
                  null
                ]
              },
              "combined": true,
              "type": "string",
              "remark": "string",
              "constraints": [
                {}
              ],
              "identifiers": [
                {}
              ],
              "attributes": [
                {}
              ]
            }
          },
          "isContainmentAction": true,
          "vehicle": {
            "associationType": "inline"
          },
          "transportEquipment": {
            "associationType": "inline"
          },
          "stop": {
            "associationType": "inline",
            "entity": {
              "nonce": "string",
              "versionNumber": 0,
              "type": "load",
              "name": "string",
              "groupId": "string",
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "lifeCycle": "requested",
              "result": {
                "status": "succeeded",
                "remark": "string",
                "reason": "string",
                "results": [
                  {}
                ],
                "answers": {
                  "property1": {},
                  "property2": {}
                },
                "attachments": [
                  null
                ]
              },
              "remark": "string",
              "sequenceNr": 0,
              "tripSequenceNr": 0,
              "location": {
                "associationType": "inline",
                "entity": {},
                "description": "string"
              },
              "startTime": "2019-08-24T14:15:22Z",
              "endTime": "2019-08-24T14:15:22Z",
              "eta": "2019-08-24T14:15:22Z",
              "etd": "2019-08-24T14:15:22Z",
              "timeFormat": "string",
              "recurrence": "string",
              "duration": 0,
              "estimatedDuration": 0,
              "inTripOnly": true,
              "actions": [
                {}
              ],
              "documents": [
                {}
              ],
              "contextEvents": [
                {
                  "externalAttributes": {},
                  "identifiers": []
                }
              ],
              "attributes": [
                {}
              ],
              "timeslotBookings": [
                {
                  "action": {},
                  "bookedBy": {}
                }
              ],
              "identifiers": [
                {}
              ],
              "constraints": [
                {}
              ],
              "communicationRequests": [
                {
                  "communicationRequests": []
                }
              ],
              "consignment": {
                "associationType": "inline",
                "entity": {
                  "goods": [],
                  "consignment": {},
                  "nextAction": {},
                  "lastAction": {},
                  "lastPlannedAction": {},
                  "documents": [],
                  "actors": [],
                  "actions": [],
                  "pricingElements": [],
                  "externalAttributes": {},
                  "constraints": [],
                  "identifiers": [],
                  "attributes": []
                }
              },
              "isContainmentAction": true,
              "vehicle": {
                "associationType": "inline"
              },
              "transportEquipment": {
                "associationType": "inline"
              },
              "stop": {},
              "pin": "string",
              "tar": "string",
              "shipmentLine": {
                "scacCode": "string",
                "smdgCode": "string"
              },
              "containmentUUID": "string"
            },
            "description": "string"
          },
          "pin": "string",
          "tar": "string",
          "shipmentLine": {
            "scacCode": "string",
            "smdgCode": "string"
          },
          "containmentUUID": "string"
        }
      ],
      "constraints": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "accessConstraint",
          "name": "string",
          "enforceability": "enforced",
          "description": "string"
        }
      ],
      "pricingElements": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "sequenceNr": 0,
          "quantity": 0,
          "name": "string",
          "description": "string",
          "category": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "creditCode": "string",
            "debitCode": "string",
            "defaultValue": 0.1,
            "enabled": true,
            "tripRevenue": true
          },
          "business": {}
        }
      ],
      "remark": "string",
      "hash": "string",
      "identifiers": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "system": "string",
          "value": "string",
          "expiredAt": "2019-08-24T14:15:22Z"
        }
      ],
      "externalAttributes": {
        "property1": {},
        "property2": {}
      },
      "dataIsComplete": true
    },
    "originalPhysicalAddressee": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "type": "warehouse",
      "name": "string",
      "unCode": "string",
      "geoReference": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "addressGeoReference",
        "name": "string",
        "street": "string",
        "houseNumber": "string",
        "houseNumberAddition": "string",
        "postalCode": "string",
        "city": "string",
        "country": "string",
        "hash": "string"
      },
      "administrativeReference": {
        "name": "string",
        "street": "string",
        "houseNumber": "string",
        "houseNumberAddition": "string",
        "postalCode": "string",
        "city": "string",
        "country": "string"
      },
      "contactDetails": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "iban",
          "value": "string",
          "remarks": "string"
        }
      ],
      "openingTimes": {
        "monday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "tuesday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "wednesday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "thursday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "friday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "saturday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        },
        "sunday": {
          "start": "string",
          "end": "string",
          "open": true,
          "day": "2019-08-24",
          "name": "string",
          "description": "string"
        }
      },
      "terminal": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "integrationType": "portbase",
        "ean": "string",
        "bicsCode": "string",
        "quayName": "string",
        "smdgCode": "string",
        "locations": [
          {}
        ],
        "allowedModalities": [
          "string"
        ],
        "terminalSettings": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "loading": true,
            "full": true,
            "modality": "string",
            "sealNumberAllowed": true,
            "reeferAllowed": true,
            "grossWeightAllowed": true,
            "outOfGaugeAllowed": true,
            "dangerousGoodsAllowed": true,
            "cargoCutOffInMinutes": 0
          }
        ],
        "tarRequired": true,
        "roadLicenseIdRequired": true
      },
      "actions": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "load",
          "groupId": "string",
          "name": "string",
          "externalAttributes": {
            "property1": {},
            "property2": {}
          },
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "lifeCycle": "requested",
          "result": {
            "status": "succeeded",
            "remark": "string",
            "reason": "string",
            "results": [
              {
                "property1": {},
                "property2": {}
              }
            ],
            "answers": {
              "property1": {},
              "property2": {}
            },
            "attachments": [
              {
                "questionId": "string",
                "type": "photo",
                "documentId": "string",
                "dataUrl": "string"
              }
            ]
          },
          "remark": "string",
          "sequenceNr": 0,
          "tripSequenceNr": 0,
          "location": {
            "associationType": "inline",
            "entity": {},
            "description": "string"
          },
          "startTime": "2019-08-24T14:15:22Z",
          "endTime": "2019-08-24T14:15:22Z",
          "eta": "2019-08-24T14:15:22Z",
          "etd": "2019-08-24T14:15:22Z",
          "timeFormat": "string",
          "recurrence": "string",
          "duration": 0,
          "estimatedDuration": 0,
          "inTripOnly": true,
          "actions": [
            {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "versionNumber": 0,
                "type": "load",
                "name": "string",
                "groupId": "string",
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "lifeCycle": "requested",
                "result": {
                  "results": [],
                  "answers": {},
                  "attachments": []
                },
                "remark": "string",
                "sequenceNr": 0,
                "tripSequenceNr": 0,
                "location": {
                  "entity": {}
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "eta": "2019-08-24T14:15:22Z",
                "etd": "2019-08-24T14:15:22Z",
                "timeFormat": "string",
                "recurrence": "string",
                "duration": 0,
                "estimatedDuration": 0,
                "inTripOnly": true,
                "actions": [
                  {}
                ],
                "documents": [
                  null
                ],
                "contextEvents": [
                  null
                ],
                "attributes": [
                  null
                ],
                "timeslotBookings": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "constraints": [
                  null
                ],
                "communicationRequests": [
                  null
                ],
                "consignment": {},
                "isContainmentAction": true,
                "vehicle": {},
                "transportEquipment": {},
                "stop": {},
                "pin": "string",
                "tar": "string",
                "shipmentLine": {},
                "containmentUUID": "string"
              },
              "description": "string"
            }
          ],
          "communicationRequests": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "description": "string",
              "status": "pending",
              "responseMessage": "string",
              "responseValue": "string"
            }
          ],
          "documents": [
            {
              "associationType": "inline"
            }
          ],
          "contextEvents": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "generalEvent",
              "lifeCycle": "requested",
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "identifiers": [
                {
                  "language": {}
                }
              ],
              "dateTime": "2019-08-24T14:15:22Z",
              "vehicle": {},
              "transportEquipment": {},
              "stopAction": {
                "trip": {
                  "entity": {}
                }
              },
              "geoReference": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "addressGeoReference",
                "name": "string",
                "street": "string",
                "houseNumber": "string",
                "houseNumberAddition": "string",
                "postalCode": "string",
                "city": "string",
                "country": "string",
                "hash": "string"
              }
            }
          ],
          "attributes": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "color": "string"
            }
          ],
          "versionNumber": 0,
          "constraints": [
            {
              "associationType": "inline",
              "entity": {
                "nonce": "string",
                "name": "string",
                "enforceability": "enforced",
                "type": "accessConstraint",
                "description": "string"
              },
              "description": "string"
            }
          ],
          "consignment": {
            "associationType": "inline",
            "entity": {
              "nonce": "string",
              "versionNumber": 0,
              "hasAgreedToPrice": true,
              "orderType": "standard",
              "name": "string",
              "consignmentNr": "string",
              "description": "string",
              "status": "draft",
              "highValueGoods": true,
              "goods": [
                {}
              ],
              "team": {
                "nonce": "string",
                "emailIntegration": {},
                "vehicleGroups": [
                  null
                ],
                "fleets": [
                  null
                ],
                "features": [
                  null
                ],
                "managers": [
                  {}
                ],
                "name": "string",
                "transportOrderPrefix": "string",
                "consignmentPrefix": "string",
                "users": [
                  {}
                ]
              },
              "consignment": {},
              "currentLocation": {
                "administrativeReference": {},
                "lat": 0.1,
                "lon": 0.1,
                "speed": {},
                "heading": {},
                "bearing": {},
                "bearingType": "absolute"
              },
              "nextAction": {},
              "lastAction": {},
              "lastPlannedAction": {},
              "isPlannedToLastLocation": true,
              "documents": [
                {}
              ],
              "actors": [
                {}
              ],
              "actions": [
                {}
              ],
              "pricingElements": [
                {
                  "business": {}
                }
              ],
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "expectedRevenue": {
                "amount": 0.1,
                "currency": {},
                "taxRate": {
                  "identifiers": []
                },
                "inclusiveOfTax": true,
                "moneyBuildBlocks": [
                  null
                ]
              },
              "expectedCost": {
                "amount": 0.1,
                "currency": {},
                "taxRate": {
                  "identifiers": []
                },
                "inclusiveOfTax": true,
                "moneyBuildBlocks": [
                  null
                ]
              },
              "combined": true,
              "type": "string",
              "remark": "string",
              "constraints": [
                {}
              ],
              "identifiers": [
                {}
              ],
              "attributes": [
                {}
              ]
            }
          },
          "isContainmentAction": true,
          "vehicle": {
            "associationType": "inline"
          },
          "transportEquipment": {
            "associationType": "inline"
          },
          "stop": {
            "associationType": "inline",
            "entity": {
              "nonce": "string",
              "versionNumber": 0,
              "type": "load",
              "name": "string",
              "groupId": "string",
              "externalAttributes": {
                "property1": {},
                "property2": {}
              },
              "lifeCycle": "requested",
              "result": {
                "status": "succeeded",
                "remark": "string",
                "reason": "string",
                "results": [
                  {}
                ],
                "answers": {
                  "property1": {},
                  "property2": {}
                },
                "attachments": [
                  null
                ]
              },
              "remark": "string",
              "sequenceNr": 0,
              "tripSequenceNr": 0,
              "location": {
                "associationType": "inline",
                "entity": {},
                "description": "string"
              },
              "startTime": "2019-08-24T14:15:22Z",
              "endTime": "2019-08-24T14:15:22Z",
              "eta": "2019-08-24T14:15:22Z",
              "etd": "2019-08-24T14:15:22Z",
              "timeFormat": "string",
              "recurrence": "string",
              "duration": 0,
              "estimatedDuration": 0,
              "inTripOnly": true,
              "actions": [
                {}
              ],
              "documents": [
                {}
              ],
              "contextEvents": [
                {
                  "externalAttributes": {},
                  "identifiers": []
                }
              ],
              "attributes": [
                {}
              ],
              "timeslotBookings": [
                {
                  "action": {},
                  "bookedBy": {}
                }
              ],
              "identifiers": [
                {}
              ],
              "constraints": [
                {}
              ],
              "communicationRequests": [
                {
                  "communicationRequests": []
                }
              ],
              "consignment": {
                "associationType": "inline",
                "entity": {
                  "goods": [],
                  "consignment": {},
                  "nextAction": {},
                  "lastAction": {},
                  "lastPlannedAction": {},
                  "documents": [],
                  "actors": [],
                  "actions": [],
                  "pricingElements": [],
                  "externalAttributes": {},
                  "constraints": [],
                  "identifiers": [],
                  "attributes": []
                }
              },
              "isContainmentAction": true,
              "vehicle": {
                "associationType": "inline"
              },
              "transportEquipment": {
                "associationType": "inline"
              },
              "stop": {},
              "pin": "string",
              "tar": "string",
              "shipmentLine": {
                "scacCode": "string",
                "smdgCode": "string"
              },
              "containmentUUID": "string"
            },
            "description": "string"
          },
          "pin": "string",
          "tar": "string",
          "shipmentLine": {
            "scacCode": "string",
            "smdgCode": "string"
          },
          "containmentUUID": "string"
        }
      ],
      "constraints": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "accessConstraint",
          "name": "string",
          "enforceability": "enforced",
          "description": "string"
        }
      ],
      "pricingElements": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "sequenceNr": 0,
          "quantity": 0,
          "name": "string",
          "description": "string",
          "category": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "creditCode": "string",
            "debitCode": "string",
            "defaultValue": 0.1,
            "enabled": true,
            "tripRevenue": true
          },
          "business": {}
        }
      ],
      "remark": "string",
      "hash": "string",
      "identifiers": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "system": "string",
          "value": "string",
          "expiredAt": "2019-08-24T14:15:22Z"
        }
      ],
      "externalAttributes": {
        "property1": {},
        "property2": {}
      },
      "dataIsComplete": true
    },
    "originalLegalAddressee": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "type": "warehouse",
      "name": "string",
      "unCode": "string",
      "geoReference": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "type": "addressGeoReference",
        "name": "string",
        "street": "string",
        "houseNumber": "string",
[...]
